Update Device By Id
curl --request PATCH \
--url https://api.pathstack.io/device/{device_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"registration": "<string>",
"make": "<string>",
"model": "<string>",
"year": 123,
"active": true,
"tags": [
"<string>"
]
}
'import requests
url = "https://api.pathstack.io/device/{device_id}"
payload = {
"description": "<string>",
"registration": "<string>",
"make": "<string>",
"model": "<string>",
"year": 123,
"active": True,
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
registration: '<string>',
make: '<string>',
model: '<string>',
year: 123,
active: true,
tags: ['<string>']
})
};
fetch('https://api.pathstack.io/device/{device_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"system_device_id": "<string>",
"registration": "<string>",
"make": "<string>",
"model": "<string>",
"year": 123,
"active": true,
"tags": [
"<string>"
],
"id": "<string>",
"connection_id": "<string>",
"description": "<string>"
}
}{
"error": {
"code": 400,
"message": "Invalid JWT format"
}
}{
"error": {
"code": 401,
"message": "Authentication header is missing, or token is invalid/expired."
}
}{
"error": {
"code": 403,
"message": "You do not have access to this resource"
}
}{
"error": {
"code": 404,
"message": "Device with ID <device_id> not found"
}
}{
"error": {
"code": 422,
"message": "Field required",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
}Devices
Update Device By Id
This endpoint update a Device.
You can specify the attributes which you want to be updated and their new values.
The updated Device is returned in the response.
PATCH
/
device
/
{device_id}
Update Device By Id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Device ID of the Device to be updated
Body
application/json
A maximum of 10 tags is allowed on a Device. Each tag must have a length between 1 and 255
characters. Tags are stored in lower case, and duplicate tags are removed. Leading and trailing
whitespaces are removed.
Maximum array length:
10Required string length:
1 - 255Response
Successful Response
Successful response payload
Show child attributes
Show child attributes
⌘I

